Subject: bug#24563: kill-region fails while dragging a selection

From: Phil Ruffwind <[email-masked]>
Date: Fri, 30 Sep 2016 17:29:01 -0400

> Why is this a bug?  Neither of the two behaviors is AFAIK documented,
> so either could be correct.  I agree that the behavior changed, most
> probably because both the implementation of region highlight and the
> binding of commands to the mouse have changed in Emacs 25.1.  But is
> there a reason not to get along with the new behavior?

It's easy to mistakenly hit C-w just before (instead of after) the mouse
button is released, so the behavior of this scenario affects the UX for
killing text quickly with the aid of the mouse.

The old behavior mostly worked as expected.  The new behavior does
something totally different:

- If mark-even-if-inactive is nil, then it will fail but also deselect
the region, so the user has to start over.

- If mark-even-if-inactive is non-nil, then it will succeed but will
mostly likely kill the wrong region (the previously marked region).

This makes killing text selected by the mouse unnecessarily fragile.

Thanks.